Update Wire Drawdown Authorization
curl --request PUT \
--url https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"company_name": "<string>",
"transaction_limit": 123
}
'import requests
url = "https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}"
payload = {
"company_name": "<string>",
"transaction_limit": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_name: '<string>', transaction_limit: 123})
};
fetch('https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}"
payload := strings.NewReader("{\n \"company_name\": \"<string>\",\n \"transaction_limit\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"company_name\": \"<string>\",\n \"transaction_limit\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company_name\": \"<string>\",\n \"transaction_limit\": 123\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'company_name' => '<string>',
'transaction_limit' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}';
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_name: '<string>', transaction_limit: 123})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"company_name\": \"<string>\",\n \"transaction_limit\": 123\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"company_name\": \"<string>\",\n \"transaction_limit\": 123\n}")
val request = Request.Builder()
.url("https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}")
.put(body)
.addHeader("x-api-key", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"company_name": "<string>",
"transaction_limit": 123
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}")!
var request = URLRequest(url: url)
request.httpMethod = "PUT"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-api-key": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}' -Method PUT -Headers $headers -ContentType 'application/json' -Body '{
"company_name": "<string>",
"transaction_limit": 123
}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "<string>",
"company_name": "<string>",
"originator_account_number": "<string>",
"originator_routing_number": "<string>",
"created_by": {
"display": {
"primary": "<string>"
},
"email": "<string>",
"name": "<string>",
"public_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_key_id": "<string>",
"api_key_nickname": "<string>",
"identity_type": "web_user",
"user_id": 123
},
"created_at": "2023-11-07T05:31:56Z",
"transaction_limit": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>",
"debug_message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}Wire Drawdowns
Update Wire Drawdown Authorization
Changes the vendor name or transaction limit on an authorization.
PUT
/
accounts
/
{account_id}
/
wire-drawdowns
/
authorizations
/
{authorization_id}
Update Wire Drawdown Authorization
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
The ID of the account.
The authorization ID.
Body
application/json
Response
Successful Response
Pass this to Update or Delete Wire Drawdown Authorization.
The account the vendor may draw from.
The vendor authorized to draw funds.
The vendor's account number.
The vendor's ABA routing number.
Who created the authorization.
Show child attributes
Show child attributes
When it was created.
Largest single drawdown approved automatically, in USD. null means no limit.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$When it last changed.